package com.rf.psychological.scale.service;

import com.rf.psychological.scale.dao.model.ScaleEntity;

import java.util.List;

/**
 * @author zzf
 * @description:
 * @date 2021/5/14 10:49
 */
public interface ScaleService {
    /**
     * 保存
     *
     * @param scaleEntity
     */
    void saveScale(ScaleEntity scaleEntity);

    /**
     * 全量查询
     *
     * @return
     */
    List<ScaleEntity> findAll();


    void saveBatch(List<ScaleEntity> scaleEntities);

    /**
     * 根据flag查询检测列表
     *
     * @param flag
     * @return
     */
    List<ScaleEntity> getScaleByFlag(String flag);

    void updateScale(ScaleEntity scaleEntity);

    void deleteScaleByFlag(String flag);

    List<ScaleEntity> getScaleByFlagAndInstitutionNo(String institutionNo, String flag);
}
